package market.Slm.DeliveryManagement.vo;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Slm.DeliveryManagement.mapper.SlmLadingBillHeatMapper;
import market.Slm.FundManagement.vo.SlmFundSettleCarriage;
import market.Slm.FundManagement.vo.SlmFundSettleGood;
import market.Slm.FundManagement.vo.SlmFundSettleOther;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_LADING_BILL_HEAT", namespace=SlmLadingBillHeatMapper.class)
public class SlmLadingBillHeat extends BaseVO implements Serializable {
	/**
	 * 提单主信息表
	 */
	private static final long serialVersionUID = -6729265640431987472L;
	/** 在途位置*/
	private String location;
	

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}
	/** 在途时间*/
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date location_time;
	
	public Date getLocation_time() {
		return location_time;
	}

	public void setLocation_time(Date location_time) {
		this.location_time = location_time;
	}
	/** 在途确认人*/
	private String location_person;
	
	public String getLocation_person() {
		return location_person;
	}

	public void setLocation_person(String location_person) {
		this.location_person = location_person;
	}
	/**签收确认人*/
	private String sign_man;
	
	public String getSign_man() {
		return sign_man;
	}

	public void setSign_man(String sign_man) {
		this.sign_man = sign_man;
	}
	/**签收时间*/
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date sign_time;
	
	public Date getSign_time() {
		return sign_time;
	}

	public void setSign_time(Date sign_time) {
		this.sign_time = sign_time;
	}
	/** 签收状态*/
	private String sign_state;
	
	public String getSign_state() {
		return sign_state;
	}

	public void setSign_state(String sign_state) {
		this.sign_state = sign_state;
	}
	
	@Id
	//提单编号
	private String bill_no;

	@Column
	//计划编号
	private String plan_no;
	
	@Column
	//合同号
	private String contract_no;

	@Column
	//客户名称
	private String customer_name;

	@Column
	//客户编号
	private String customer_no;

	@Column
	//下发人编号
	private String issuer_man_no;

	@Column
	//下发人姓名
	private String issuer_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//下发时间
	private Date issuer_time;

	@Column
	//供货单位编号
	private String supplier_unit_no;

	@Column
	//供货单位
	private String supplier_unit_name;

	@Column
	//供货地址
	private String supplier_address;

	@Column
	//收货单位编号
	private String reciver_unit_no;

	@Column
	//收货单位
	private String reciver_unit_name;

	@Column
	//收货地址
	private String reciver_address;

	@Column
	//运输方案编号
	private String solutions_no;
	
	@Column
	//运输方案编号
	private String solutions_name;

	@Column
	//承运单位编号
	private String trans_unit_no;

	@Column
	//承运单位名称
	private String trans_unit_name;

	@Column
	//提单类型 1：实际提单；2：虚拟提单
	private String bill_type;

	@Column
	//提单状态 1：编辑 2：待审核 3：待下发  4：下发  5：接收  6：虚拟发运 7：实际发运 8：虚拟结算 9：实际结算 10：虚拟关闭 11：实际关闭；12：票据核算；13：票据对齐；14：结算编制 15 实际结算
	private String valid_status;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//有效开始时间
	private Date effect_start_time;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//有效结束时间
	private Date effect_end_time;

	@Column
	//有效标志 0：无效；1：有效
	private String valid_flag;

	@Column
	//备注
	private String memo;

	@Column
	//创建人编号
	private String create_man_no;

	@Column
	//创建人姓名
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	@Column
	//修改人编号
	private String update_man_no;

	@Column
	//修改人姓名
	private String update_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;

	@Column
	//删除人编号
	private String delete_man_no;

	@Column
	//删除人姓名
	private String delete_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	
	
	@Column
	//回收人编号
	private String recovery_man_no;

	@Column
	//回收人姓名
	private String recovery_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//回收时间
	private Date recovery_time;
	
	@Column
	//打印人编号
	private String print_man_no;

	@Column
	//打印人姓名
	private String print_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//打印时间
	private Date print_time;
	
	@Column
	//打印次数
	private int print_num;
	
	//提货单状态
	private String state;
	
	/**
	 * 展示字段
	 * */
	//合同单位税号
	private String tax_registra_number;

	
	
	//联系人
	private String consignee_name;
	
	//联系电话
	private String phone;
	
	//标准名称
	private String std_name;
	
	//提单行
	private List<SlmLadingBillLine> lineList;
	
	//运费
	private List<SlmFundSettleCarriage> carriageList;

	//货款费
	private List<SlmFundSettleGood> goodList;

	//加工配送费
	private List<SlmFundSettleOther> otherList;
	
	//总金额
	private Double total_fund;
	
	//重量
	private Double weight;
	
	//实重总重
	private String all_fact_weight;
	
	//理重总重
	private String all_theory_weight;
	
	private String fact_weight;
	
	private String billweightsum;
	
	private String process;
	
	//结算单状态  1：编辑；2：待确认 3：确认 4：开票申请 5：票据勾稽 6：使用 7：结转
	private String settle_flag;
	
	public String getTax_registra_number() {
		return tax_registra_number;
	}

	public void setTax_registra_number(String tax_registra_number) {
		this.tax_registra_number = tax_registra_number;
	}
	
	//车号？？
	private String car_no;
	public String getCar_no() {
		return car_no;
	}
	public void setCar_no(String car_no) {
		this.car_no = car_no;
	}
	public String getConsignee_name() {
		return consignee_name;
	}

	public void setConsignee_name(String consignee_name) {
		this.consignee_name = consignee_name;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}

	public String getPlan_no() {
		return plan_no;
	}

	public void setPlan_no(String planNo) {
		plan_no = planNo;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customerName) {
		customer_name = customerName;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customerNo) {
		customer_no = customerNo;
	}

	public String getIssuer_man_no() {
		return issuer_man_no;
	}

	public void setIssuer_man_no(String issuerManNo) {
		issuer_man_no = issuerManNo;
	}

	public String getIssuer_man_name() {
		return issuer_man_name;
	}

	public void setIssuer_man_name(String issuerManName) {
		issuer_man_name = issuerManName;
	}

	public Date getIssuer_time() {
		return issuer_time;
	}

	public void setIssuer_time(Date issuerTime) {
		issuer_time = issuerTime;
	}

	public String getSupplier_unit_no() {
		return supplier_unit_no;
	}

	public void setSupplier_unit_no(String supplierUnitNo) {
		supplier_unit_no = supplierUnitNo;
	}

	public String getSupplier_unit_name() {
		return supplier_unit_name;
	}

	public void setSupplier_unit_name(String supplierUnitName) {
		supplier_unit_name = supplierUnitName;
	}

	public String getSupplier_address() {
		return supplier_address;
	}

	public void setSupplier_address(String supplierAddress) {
		supplier_address = supplierAddress;
	}

	public String getReciver_unit_no() {
		return reciver_unit_no;
	}

	public void setReciver_unit_no(String reciverUnitNo) {
		reciver_unit_no = reciverUnitNo;
	}

	public String getReciver_unit_name() {
		return reciver_unit_name;
	}

	public void setReciver_unit_name(String reciverUnitName) {
		reciver_unit_name = reciverUnitName;
	}

	public String getReciver_address() {
		return reciver_address;
	}

	public void setReciver_address(String reciverAddress) {
		reciver_address = reciverAddress;
	}

	public String getSolutions_no() {
		return solutions_no;
	}

	public void setSolutions_no(String solutionsNo) {
		solutions_no = solutionsNo;
	}

	public String getTrans_unit_no() {
		return trans_unit_no;
	}

	public void setTrans_unit_no(String transUnitNo) {
		trans_unit_no = transUnitNo;
	}

	public String getTrans_unit_name() {
		return trans_unit_name;
	}

	public void setTrans_unit_name(String transUnitName) {
		trans_unit_name = transUnitName;
	}

	public String getBill_type() {
		return bill_type;
	}

	public void setBill_type(String billType) {
		bill_type = billType;
	}

	public String getValid_status() {
		return valid_status;
	}

	public void setValid_status(String validStatus) {
		valid_status = validStatus;
	}

	public Date getEffect_start_time() {
		return effect_start_time;
	}

	public void setEffect_start_time(Date effectStartTime) {
		effect_start_time = effectStartTime;
	}

	public Date getEffect_end_time() {
		return effect_end_time;
	}

	public void setEffect_end_time(Date effectEndTime) {
		effect_end_time = effectEndTime;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String validFlag) {
		valid_flag = validFlag;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String createManNo) {
		create_man_no = createManNo;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String createManName) {
		create_man_name = createManName;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date createTime) {
		create_time = createTime;
	}

	public String getUpdate_man_no() {
		return update_man_no;
	}

	public void setUpdate_man_no(String updateManNo) {
		update_man_no = updateManNo;
	}

	public String getUpdate_man_name() {
		return update_man_name;
	}

	public void setUpdate_man_name(String updateManName) {
		update_man_name = updateManName;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date updateTime) {
		update_time = updateTime;
	}

	public String getDelete_man_no() {
		return delete_man_no;
	}

	public void setDelete_man_no(String deleteManNo) {
		delete_man_no = deleteManNo;
	}

	public String getDelete_man_name() {
		return delete_man_name;
	}

	public void setDelete_man_name(String deleteManName) {
		delete_man_name = deleteManName;
	}

	public Date getDelete_time() {
		return delete_time;
	}

	public void setDelete_time(Date deleteTime) {
		delete_time = deleteTime;
	}

	private Integer distrbutequantity;
	
	private double dis_theory_weight;
	
	private double dis_fact_weight;
	
	private Integer quantity;
	
	private double load_theory_weight;
	
	private double load_fact_weight;
	
	private double disquantitysum;
	
	private double distheoryweightsum;
	
	private double disfactweightsum;
	
	private double quantitysum;
	
	private double loadtheoryweightsum;
	
	private double loadfactweightsum;

	public Integer getDistrbutequantity() {
		return distrbutequantity;
	}

	public void setDistrbutequantity(Integer distrbutequantity) {
		this.distrbutequantity = distrbutequantity;
	}

	public double getDis_theory_weight() {
		return dis_theory_weight;
	}

	public void setDis_theory_weight(double dis_theory_weight) {
		this.dis_theory_weight = dis_theory_weight;
	}

	public double getDis_fact_weight() {
		return dis_fact_weight;
	}

	public void setDis_fact_weight(double dis_fact_weight) {
		this.dis_fact_weight = dis_fact_weight;
	}

	public Integer getQuantity() {
		return quantity;
	}

	public void setQuantity(Integer quantity) {
		this.quantity = quantity;
	}

	public double getLoad_theory_weight() {
		return load_theory_weight;
	}

	public void setLoad_theory_weight(double load_theory_weight) {
		this.load_theory_weight = load_theory_weight;
	}

	public double getLoad_fact_weight() {
		return load_fact_weight;
	}

	public void setLoad_fact_weight(double load_fact_weight) {
		this.load_fact_weight = load_fact_weight;
	}

	public double getDisquantitysum() {
		return disquantitysum;
	}

	public void setDisquantitysum(double disquantitysum) {
		this.disquantitysum = disquantitysum;
	}

	public double getDistheoryweightsum() {
		return distheoryweightsum;
	}

	public void setDistheoryweightsum(double distheoryweightsum) {
		this.distheoryweightsum = distheoryweightsum;
	}

	public double getDisfactweightsum() {
		return disfactweightsum;
	}

	public void setDisfactweightsum(double disfactweightsum) {
		this.disfactweightsum = disfactweightsum;
	}

	public double getQuantitysum() {
		return quantitysum;
	}

	public void setQuantitysum(double quantitysum) {
		this.quantitysum = quantitysum;
	}

	public double getLoadtheoryweightsum() {
		return loadtheoryweightsum;
	}

	public void setLoadtheoryweightsum(double loadtheoryweightsum) {
		this.loadtheoryweightsum = loadtheoryweightsum;
	}

	public double getLoadfactweightsum() {
		return loadfactweightsum;
	}

	public void setLoadfactweightsum(double loadfactweightsum) {
		this.loadfactweightsum = loadfactweightsum;
	}

	public void setSolutions_name(String solutions_name) {
		this.solutions_name = solutions_name;
	}

	public String getSolutions_name() {
		return solutions_name;
	}

	public List<SlmLadingBillLine> getLineList() {
		return lineList;
	}

	public void setLineList(List<SlmLadingBillLine> lineList) {
		this.lineList = lineList;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String billNo) {
		bill_no = billNo;
	}

	public List<SlmFundSettleCarriage> getCarriageList() {
		return carriageList;
	}

	public void setCarriageList(List<SlmFundSettleCarriage> carriageList) {
		this.carriageList = carriageList;
	}

	public List<SlmFundSettleGood> getGoodList() {
		return goodList;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	public void setGoodList(List<SlmFundSettleGood> goodList) {
		this.goodList = goodList;
	}

	public List<SlmFundSettleOther> getOtherList() {
		return otherList;
	}

	public void setOtherList(List<SlmFundSettleOther> otherList) {
		this.otherList = otherList;
	}

	public Double getTotal_fund() {
		return total_fund;
	}

	public void setTotal_fund(Double total_fund) {
		this.total_fund = total_fund;
	}
	public String getAll_fact_weight() {
		return all_fact_weight;
	}

	public void setAll_fact_weight(String all_fact_weight) {
		this.all_fact_weight = all_fact_weight;
	}

	public String getAll_theory_weight() {
		return all_theory_weight;
	}

	public void setAll_theory_weight(String all_theory_weight) {
		this.all_theory_weight = all_theory_weight;
	}
	private String coilno;
	public String getCoilno() {
		return coilno;
	}

	public void setCoilno(String coilno) {
		this.coilno = coilno;
	}

	public String getMaterailcoilno() {
		return materailcoilno;
	}

	public void setMaterailcoilno(String materailcoilno) {
		this.materailcoilno = materailcoilno;
	}

	public String getRecovery_man_no() {
		return recovery_man_no;
	}

	public void setRecovery_man_no(String recovery_man_no) {
		this.recovery_man_no = recovery_man_no;
	}

	public String getRecovery_man_name() {
		return recovery_man_name;
	}

	public void setRecovery_man_name(String recovery_man_name) {
		this.recovery_man_name = recovery_man_name;
	}

	public Date getRecovery_time() {
		return recovery_time;
	}

	public void setRecovery_time(Date recovery_time) {
		this.recovery_time = recovery_time;
	}

	public Double getWeight() {
		return weight;
	}

	public void setWeight(Double weight) {
		this.weight = weight;
	}
	private String materailcoilno;


	public String getFact_weight() {
		return fact_weight;
	}

	public void setFact_weight(String fact_weight) {
		this.fact_weight = fact_weight;
	}

	public String getBillweightsum() {
		return billweightsum;
	}

	public void setBillweightsum(String billweightsum) {
		this.billweightsum = billweightsum;
	}

	public String getProcess() {
		return process;
	}

	public void setProcess(String process) {
		this.process = process;
	}

	public String getPrint_man_no() {
		return print_man_no;
	}

	public void setPrint_man_no(String print_man_no) {
		this.print_man_no = print_man_no;
	}

	public String getPrint_man_name() {
		return print_man_name;
	}

	public void setPrint_man_name(String print_man_name) {
		this.print_man_name = print_man_name;
	}

	public Date getPrint_time() {
		return print_time;
	}

	public void setPrint_time(Date print_time) {
		this.print_time = print_time;
	}

	public int getPrint_num() {
		return print_num;
	}

	public void setPrint_num(int print_num) {
		this.print_num = print_num;
	}

	public String getSettle_flag() {
		return settle_flag;
	}

	public void setSettle_flag(String settle_flag) {
		this.settle_flag = settle_flag;
	}
	
	//仓库
	private String storageattr;
	public String getStorageattr() {
		return storageattr;
	}
	public void setStorageattr(String storageattr) {
		this.storageattr = storageattr;
	}
	@Column
	//提单类型（0汽运，1火运）
	private String trans_type;
	public String getTrans_type() {
		return trans_type;
	}
	public void setTrans_type(String trans_type) {
		this.trans_type = trans_type;
	}

	private String train_no;//火车车皮号
	public String getTrain_no() {
		return train_no;
	}
	public void setTrain_no(String train_no) {
		this.train_no = train_no;
	}
	
	private String distrbuteno;//理货单号
	public String getDistrbuteno() {
		return distrbuteno;
	}
	public void setDistrbuteno(String distrbuteno) {
		this.distrbuteno = distrbuteno;
	}
	
	/**
	 * 合同类型 20191226
	 */
	@Column
	private String contract_type_no;
	public String getContract_type_no() {
		return contract_type_no;
	}
	public void setContract_type_no(String contract_type_no) {
		this.contract_type_no = contract_type_no;
	}
	
	/**
	 * 牌号 ：结算单新增时用到 2020-02-24
	 */
	private String steel_name;
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	
	//订单属性
	private String order_nature;
	public String getOrder_nature() {
		return order_nature;
	}
	public void setOrder_nature(String order_nature) {
		this.order_nature = order_nature;
	}
	
	//订单属性
	private List<SlmLadingBillDetail> objectList;
	public List<SlmLadingBillDetail> getObjectList() {
		return objectList;
	}
	public void setObjectList(List<SlmLadingBillDetail> objectList) {
		this.objectList = objectList;
	}
}
